System.Runtime.Serialization 4.0.0.0 System.Configuration.ConfigurationElement

This class is used to handle the XML element that specifies the declared type and contains its collection of known types.

For an example of adding known types to the collection using configuration, see <declaredTypes>.

Handles the XML elements used to add known types that are used for serialization by the .

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified type name.

  The name of the type that requires a collection of known types.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.Runtime.Serialization.Configuration.TypeElementCollection To be added. To be added.

  Gets the collection of known types.

- Method
  4.0.0.0
  System.Void To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("type", DefaultValue=Mono.Cecil.CustomAttributeArgument, Options=System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.String To be added. To be added.

  Gets or sets the name of the declared type that requires a collection of known types.